<template>
  <section class="errorPage-content _404">
    <div class="errorPage-number">
      404
    </div>
    <div class="errorPage-title">
      Страница не найдена
      <img
        svg-inline
        src="~/assets/svg/redesign/error-404.svg">
    </div>
    <div class="errorPage-text">
      <div class="paragraph">Введен неправильный адрес или страница&nbsp;была&nbsp;удалена.</div>
      <div class="paragraph">
        Для поиска запчастей воспользуйтесь к поисковой строкой или навигационным&nbsp;меню.<br>
        Если вам нужна помощь, отправьте продавцам
        <flink
          href="/request-to-spare"
          domain="main"
          class="link">запрос на запчасть</flink>
        или
        <flink
          href="/about-us/contacts"
          domain="main"
          class="link">напишите нам</flink>.
      </div>
    </div>
    <div class="errorPage-search">
      <AppSearch/>
    </div>
  </section>
</template>

<script>
import AppSearch from '~/components/redesign/app-search/app-search';

export default {
  name: 'Error404',
  components: {
    AppSearch,
  },
};
</script>

<style lang="postcss">
  .errorPage {
    .errorPage-content._404 {
      @media screen and (min-width: 981px) {
        .errorPage-title {
          position: relative;

          .svg.svgError-404 {
            position: absolute;
            top: -5rem;
            right: -6rem;
            display: block;
            width: 9.375rem;
            height: 9.375rem;
          }
        }

        .errorPage-search {
          display: block;
          padding-top: 1.5rem;
          width: 32rem;

          .appSearch .input-field {
            height: var(--btn-height-medium);
          }
        }
      }

      @media screen and (max-width: 980px) {
        .errorPage-title {
          .svg.svgError-404 {
            display: block;
            margin: 1rem auto;
            width: 6.25rem;
            height: 6.25rem;
          }
        }

        .errorPage-search {
          order: 0;
          padding-bottom: 1rem;
          width: 100%;

          .appSearch {
            .input-field {
              background-color: var(--bg-main);
            }
            .button {
              z-index: 3;
            }
          }
        }
      }
    }
  }
</style>
